Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.objexcel.images
Class Images

    java.lang.Object
      |
      +--com.objexcel.images.Images

public final class Images
extends java.lang.Object

a home for Dean S Jones' icons. The icons themselves are Copyright(c) dean@gallant.com www.gallant.com/icons.htm;

Field Summary
`javax.swing.ImageIcon` | `iBan`
`javax.swing.ImageIcon` | `iBold`
`javax.swing.ImageIcon` | `iBomb`
`javax.swing.ImageIcon` | `iBox`
`javax.swing.ImageIcon` | `iBulb`
`javax.swing.ImageIcon` | `iCaution`
`javax.swing.ImageIcon` | `iCheck`
`javax.swing.ImageIcon` | `iClockGo`
`javax.swing.ImageIcon` | `iClose`
`javax.swing.ImageIcon` | `iCommand`
`javax.swing.ImageIcon` | `iComputer`
`javax.swing.ImageIcon` | `iConfigToolbar`
`javax.swing.ImageIcon` | `iCross`
`javax.swing.ImageIcon` | `iCut`
`javax.swing.ImageIcon` | `iDataStore`
`javax.swing.ImageIcon` | `iDirectChat`
`javax.swing.ImageIcon` | `iEnter`
`javax.swing.ImageIcon` | `iError`
`javax.swing.ImageIcon` | `iExit`
`javax.swing.ImageIcon` | `iFatal`
`javax.swing.ImageIcon` | `iFavorite`
`javax.swing.ImageIcon` | `iFile`
`javax.swing.ImageIcon` | `iFolder`
`javax.swing.ImageIcon` | `iFolderIn`
`javax.swing.ImageIcon` | `iForward`
`javax.swing.ImageIcon` | `iForwardall`
`javax.swing.ImageIcon` | `iHammer`
`javax.swing.ImageIcon` | `iHelp`
`javax.swing.ImageIcon` | `iHome`
`javax.swing.ImageIcon` | `iInfo`
`javax.swing.ImageIcon` | `iInform`
`javax.swing.ImageIcon` | `iKey`
`javax.swing.ImageIcon` | `iKick`
`javax.swing.ImageIcon` | `iLeft`
`javax.swing.ImageIcon` | `iLittleLeft`
`javax.swing.ImageIcon` | `iLittleRight`
`javax.swing.ImageIcon` | `iLittleX`
`javax.swing.ImageIcon` | `iLock`
`javax.swing.ImageIcon` | `ilServer`
`javax.swing.ImageIcon` | `iMagnify`
`javax.swing.ImageIcon` | `iModeUser`
`javax.swing.ImageIcon` | `iNewFavourite`
`javax.swing.ImageIcon` | `iNewPlug`
`javax.swing.ImageIcon` | `iNick`
`static Images` | `instance`
`javax.swing.ImageIcon` | `iOpenlock`
`javax.swing.ImageIcon` | `iPlug`
`javax.swing.ImageIcon` | `iRight`
`javax.swing.ImageIcon` | `iRoomMode`
`javax.swing.ImageIcon` | `iRoomTopic`
`javax.swing.ImageIcon` | `iSave`
`javax.swing.ImageIcon` | `iServer`
`javax.swing.ImageIcon` | `iSidebar`
`javax.swing.ImageIcon` | `iSmallEnter`
`javax.swing.ImageIcon` | `iSmallExit`
`javax.swing.ImageIcon` | `iSpeech`
`javax.swing.ImageIcon` | `iSpeechAction`
`javax.swing.ImageIcon` | `iText`
`javax.swing.ImageIcon` | `iTileCascade`
`javax.swing.ImageIcon` | `iTileHorizontal`
`javax.swing.ImageIcon` | `iTileVertical`
`javax.swing.ImageIcon` | `iTopic`
`javax.swing.ImageIcon` | `iTrafficgreen`
`javax.swing.ImageIcon` | `iTrafficred`
`javax.swing.ImageIcon` | `iTrafficyellow`
`javax.swing.ImageIcon` | `iUnderline`
`javax.swing.ImageIcon` | `iUnlock`
`javax.swing.ImageIcon` | `iUnplug`
`javax.swing.ImageIcon` | `iUser`
`javax.swing.ImageIcon` | `iUsers`

Method Summary
`static Images` | `getInstance()` use singleton as we only need one copy of the icons.
`static javax.swing.ImageIcon` | `loadImageIcon(java.lang.String filename, java.lang.String description)` load the image from our jar.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### iTopic

    public javax.swing.ImageIcon iTopic

### ilServer

    public javax.swing.ImageIcon ilServer

### iServer

    public javax.swing.ImageIcon iServer

### iText

    public javax.swing.ImageIcon iText

### iNick

    public javax.swing.ImageIcon iNick

### iCommand

    public javax.swing.ImageIcon iCommand

### iFatal

    public javax.swing.ImageIcon iFatal

### iInfo

    public javax.swing.ImageIcon iInfo

### iError

    public javax.swing.ImageIcon iError

### iFile

    public javax.swing.ImageIcon iFile

### iSidebar

    public javax.swing.ImageIcon iSidebar

### iClose

    public javax.swing.ImageIcon iClose

### iNewPlug

    public javax.swing.ImageIcon iNewPlug

### iUnplug

    public javax.swing.ImageIcon iUnplug

### iCheck

    public javax.swing.ImageIcon iCheck

### iCross

    public javax.swing.ImageIcon iCross

### iClockGo

    public javax.swing.ImageIcon iClockGo

### iBold

    public javax.swing.ImageIcon iBold

### iBomb

    public javax.swing.ImageIcon iBomb

### iBox

    public javax.swing.ImageIcon iBox

### iBulb

    public javax.swing.ImageIcon iBulb

### iCaution

    public javax.swing.ImageIcon iCaution

### iComputer

    public javax.swing.ImageIcon iComputer

### iCut

    public javax.swing.ImageIcon iCut

### iDirectChat

    public javax.swing.ImageIcon iDirectChat

### iEnter

    public javax.swing.ImageIcon iEnter

### iExit

    public javax.swing.ImageIcon iExit

### iFavorite

    public javax.swing.ImageIcon iFavorite

### iFolder

    public javax.swing.ImageIcon iFolder

### iFolderIn

    public javax.swing.ImageIcon iFolderIn

### iForward

    public javax.swing.ImageIcon iForward

### iForwardall

    public javax.swing.ImageIcon iForwardall

### iHelp

    public javax.swing.ImageIcon iHelp

### iHammer

    public javax.swing.ImageIcon iHammer

### iHome

    public javax.swing.ImageIcon iHome

### iInform

    public javax.swing.ImageIcon iInform

### iKey

    public javax.swing.ImageIcon iKey

### iLeft

    public javax.swing.ImageIcon iLeft

### iLittleLeft

    public javax.swing.ImageIcon iLittleLeft

### iLittleRight

    public javax.swing.ImageIcon iLittleRight

### iLittleX

    public javax.swing.ImageIcon iLittleX

### iLock

    public javax.swing.ImageIcon iLock

### iUnlock

    public javax.swing.ImageIcon iUnlock

### iNewFavourite

    public javax.swing.ImageIcon iNewFavourite

### iOpenlock

    public javax.swing.ImageIcon iOpenlock

### iRight

    public javax.swing.ImageIcon iRight

### iSmallEnter

    public javax.swing.ImageIcon iSmallEnter

### iSmallExit

    public javax.swing.ImageIcon iSmallExit

### iSave

    public javax.swing.ImageIcon iSave

### iSpeech

    public javax.swing.ImageIcon iSpeech

### iSpeechAction

    public javax.swing.ImageIcon iSpeechAction

### iTileCascade

    public javax.swing.ImageIcon iTileCascade

### iTileHorizontal

    public javax.swing.ImageIcon iTileHorizontal

### iTileVertical

    public javax.swing.ImageIcon iTileVertical

### iTrafficgreen

    public javax.swing.ImageIcon iTrafficgreen

### iTrafficred

    public javax.swing.ImageIcon iTrafficred

### iTrafficyellow

    public javax.swing.ImageIcon iTrafficyellow

### iUnderline

    public javax.swing.ImageIcon iUnderline

### iUser

    public javax.swing.ImageIcon iUser

### iUsers

    public javax.swing.ImageIcon iUsers

### iBan

    public javax.swing.ImageIcon iBan

### iConfigToolbar

    public javax.swing.ImageIcon iConfigToolbar

### iDataStore

    public javax.swing.ImageIcon iDataStore

### iKick

    public javax.swing.ImageIcon iKick

### iMagnify

    public javax.swing.ImageIcon iMagnify

### iModeUser

    public javax.swing.ImageIcon iModeUser

### iPlug

    public javax.swing.ImageIcon iPlug

### iRoomMode

    public javax.swing.ImageIcon iRoomMode

### iRoomTopic

    public javax.swing.ImageIcon iRoomTopic

### instance

    public static Images instance

Method Detail

### getInstance

    public static Images getInstance()

  use singleton as we only need one copy of the icons.

### loadImageIcon

    public static javax.swing.ImageIcon loadImageIcon(java.lang.String filename,
                                                      java.lang.String description)

  load the image from our jar.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD